
&НаКлиенте
Процедура СписокГруппПриАктивизацииСтроки(Элемент)
	НайденыйОтбор = Неопределено;
	ПолеРодитель = Новый ПолеКомпоновкиДанных("Родитель");
	
	Для Каждого СуществующийОтбор Из Список.Отбор.Элементы Цикл
		Если СуществующийОтбор.ЛевоеЗначение = ПолеРодитель Тогда
			НайденыйОтбор = СуществующийОтбор;
			Прервать;
		КонецЕсли;
	КонецЦикла;
	
	Если НайденыйОтбор = Неопределено Тогда
		ЭлементОтбора = Список.Отбор.Элементы.Добавить(Тип("ЭлементОтбораКомпоновкиДанных"));
		ЭлементОтбора.ЛевоеЗначение = ПолеРодитель;
		ЭлементОтбора.ВидСравнения = ВидСравненияКомпоновкиДанных.Равно;
	Иначе
		ЭлементОтбора = НайденыйОтбор;
	КонецЕсли;
	
	ЭлементОтбора.ПравоеЗначение = Элементы.СписокГрупп.ТекущаяСтрока;
	
КонецПроцедуры
